Bug 1130837 - [abrt] evolution: sync_created_items(): evolution killed by SIGSEGV [NEEDINFO]
Summary: [abrt] evolution: sync_created_items(): evolution killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e4f7e386d1b36cf337b0d361e1a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-18 02:38 UTC by joel
Modified: 2015-06-29 22:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:07:02 UTC
mcrha: needinfo? (joel)


Attachments (Terms of Use)
File: backtrace (94.62 KB, text/plain)
2014-08-18 02:38 UTC, joel
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-18 02:38 UTC, joel
no flags Details
File: core_backtrace (36.37 KB, text/plain)
2014-08-18 02:38 UTC, joel
no flags Details
File: dso_list (26.21 KB, text/plain)
2014-08-18 02:38 UTC, joel
no flags Details
File: environ (1.55 KB, text/plain)
2014-08-18 02:38 UTC, joel
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-18 02:38 UTC, joel
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-18 02:38 UTC, joel
no flags Details
File: maps (128.96 KB, text/plain)
2014-08-18 02:38 UTC, joel
no flags Details
File: open_fds (1.68 KB, text/plain)
2014-08-18 02:38 UTC, joel
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-08-18 02:38 UTC, joel
no flags Details
File: var_log_messages (732 bytes, text/plain)
2014-08-18 02:38 UTC, joel
no flags Details

Description joel 2014-08-18 02:38:41 UTC
Version-Release number of selected component:
evolution-3.10.4-3.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        evolution
crash_function: sync_created_items
executable:     /usr/bin/evolution
kernel:         3.15.9-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 sync_created_items at camel-ews-folder.c:1356
 #1 ews_refresh_info_sync at camel-ews-folder.c:1546
 #2 camel_folder_refresh_info_sync at camel-folder.c:4209
 #3 folder_refresh_info_thread at camel-folder.c:1465
 #4 run_in_thread at gsimpleasyncresult.c:871
 #5 io_job_thread at gioscheduler.c:89
 #6 g_task_thread_pool_thread at gtask.c:1245
 #8 g_thread_proxy at gthread.c:798

Comment 1 joel 2014-08-18 02:38:43 UTC
Created attachment 927595 [details]
File: backtrace

Comment 2 joel 2014-08-18 02:38:44 UTC
Created attachment 927596 [details]
File: cgroup

Comment 3 joel 2014-08-18 02:38:44 UTC
Created attachment 927597 [details]
File: core_backtrace

Comment 4 joel 2014-08-18 02:38:45 UTC
Created attachment 927598 [details]
File: dso_list

Comment 5 joel 2014-08-18 02:38:45 UTC
Created attachment 927599 [details]
File: environ

Comment 6 joel 2014-08-18 02:38:46 UTC
Created attachment 927600 [details]
File: exploitable

Comment 7 joel 2014-08-18 02:38:46 UTC
Created attachment 927601 [details]
File: limits

Comment 8 joel 2014-08-18 02:38:47 UTC
Created attachment 927602 [details]
File: maps

Comment 9 joel 2014-08-18 02:38:47 UTC
Created attachment 927603 [details]
File: open_fds

Comment 10 joel 2014-08-18 02:38:48 UTC
Created attachment 927604 [details]
File: proc_pid_status

Comment 11 joel 2014-08-18 02:38:48 UTC
Created attachment 927605 [details]
File: var_log_messages

Comment 12 Milan Crha 2014-09-01 09:43:45 UTC
Thanks for a bug report. I see from the backtrace where and why the evolution-ews crashed, but I do not see the actual reason of it. The var_log_messages suggest that you've lost a connection while the EWS account was updating itself. Could that be the reason/circumstance, which caused the crash, please? I can easily workaround the actual crash by adding safety checks to the code, but it can cause other side effects, thus I'd rather know the crash reason first. Ideally if you would be able to reproduce it, to give some clues what was happening there.

Comment 13 Fedora Admin XMLRPC Client 2014-09-04 14:30:42 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora End Of Life 2015-05-29 12:39:39 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 22:07:02 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.